Name:		yasm
Version:	1.3.0
Release:	%mkrel 9
Summary:	Modular Assembler
License:	BSD
Group:		Development/Other
Url:		https://yasm.tortall.net/
Source0:	https://www.tortall.net/projects/%{name}/releases/%{name}-%{version}.tar.gz
Patch0:		yasm-CVE-2023-31975.patch

BuildRequires:	xmlto

Obsoletes:	yasm-python < 1.3.0-4

%description
Yasm is a complete rewrite of the NASM assembler.
It is designed from the ground up to allow for multiple
assembler syntaxes to be supported (e.g., NASM, TASM, GAS, etc.) in
addition to multiple output object formats and even multiple
instruction sets. Another primary module of the overall design is an
optimizer module.

#------------------------------------------------------------------------------

%package	devel
Summary:	Development headers and files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
Development headers and files for %{name}.

#------------------------------------------------------------------------------

%prep
%setup -q
%patch -P 0 -p1

%build
%ifnarch %ix86
export CFLAGS="%{optflags} -fPIC"
%endif

%configure \
	--disable-rpath \
	--disable-python \
	--disable-python-bindings
%make_build

%install
%make_install

%files
%doc AUTHORS
%{_bindir}/*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}_arch.7.*
%{_mandir}/man7/%{name}_dbgfmts.7.*
%{_mandir}/man7/%{name}_objfmts.7.*
%{_mandir}/man7/%{name}_parsers.7.*

%files devel
%{_libdir}/lib%{name}.a
%{_includedir}/libyasm/
%{_includedir}/libyasm.h
%{_includedir}/libyasm-stdint.h


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.3.0-9.mga10
+ Revision: 2128369
- Rebuild for patchN deprecation

* Wed Jun 21 2023 luigiwalser <luigiwalser> 1.3.0-8.mga9
+ Revision: 1962731
- add upstream patch to fix CVE-2023-31975 (apparently not a security issue)

* Thu Feb 09 2023 ghibo <ghibo> 1.3.0-7.mga9
+ Revision: 1939634
- Rebuild for aging

* Sat Mar 19 2022 umeabot <umeabot> 1.3.0-6.mga9
+ Revision: 1799748
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1531811
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 15 2019 daviddavid <daviddavid> 1.3.0-4.mga8
+ Revision: 1441038
- drop python2 support (python3 not yet compatible)

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-3.mga7
+ Revision: 1302021
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.3.0-2.mga6
+ Revision: 963664
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 839734
- new version: 1.3.0

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-9.mga5
+ Revision: 739106
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-8.mga5
+ Revision: 730749
- rebuild for missing pythoneggs deps
- description is not license tag
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Mar 30 2014 daviddavid <daviddavid> 1.2.0-5.mga5
+ Revision: 610501
- drop unneeded BR on python-pyrex
+ david-david <david-david>
- update URL
- clean a bit spec file

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 544709
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.0-3.mga4
+ Revision: 500012
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 387552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 shlomif <shlomif> 1.2.0-1.mga2
+ Revision: 194171
- New version - 1.2.0

* Tue Jan 18 2011 pterjan <pterjan> 1.1.0-5.mga1
+ Revision: 21819
- Rebuild for python 2.7
+ ahmad <ahmad>
- patch the correct file
- add patch to fix a cython compiler error
- drop old/unneeded scriptlets
- imported package yasm

